Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 366)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 367)
@@ -106,4 +106,5 @@
      #                    .dvrserver.config
      # 21/04/09 - Siggi - adjustments for new IBM at DKRZ, which is now ibmh
+     # 25/08/09 - BjornM- adapted for lck
 
 
@@ -472,4 +473,5 @@
         (lcsgib)         remote_addres=130.73.232.102;;
         (lcsgih)         remote_addres=130.75.4.102;;
+        (lck)            remote_addres=165.132.26.61;;
         (lctit)          remote_addres=172.17.75.161;;
         (lcxt4)          remote_addres=129.177.20.113;;
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 366)
+++ /palm/trunk/SCRIPTS/mrun	(revision 367)
@@ -187,4 +187,5 @@
      # 19/08/09 - Marcus - MPI debug option
      # 21/08/09 - Marcus - totalview on hice/bice also available for mvapich2
+     # 25/08/09 - BjornM - adpated for lck
 
  
@@ -634,5 +635,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmb|ibmh|ibms|ibmy|nech|necriam|lcsgib|lcsgih|lctit|unics|lcxt4)  true;;
+        (ibm|ibmb|ibmh|ibms|ibmy|nech|necriam|lcsgib|lcsgih|lctit|unics|lcxt4|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -809,5 +810,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4)  true;;
+                       (ibm|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lck)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1064,5 +1065,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmb|ibmh|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4)  true;;
+        (ibm|ibmb|ibmh|ibms|ibmy|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -1984,5 +1985,5 @@
  lopts="$lopts $netcdf_lib $dvr_lib"
  ROPTS="$ropts"
- if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 )  &&  -n $numprocs ]]
+ if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 || $host = lck )  &&  -n $numprocs ]]
  then
     XOPT="-X $numprocs"
@@ -3252,4 +3253,7 @@
                       aprun  -n $ii  -N $tasks_per_node  a.out < runfile_atmos  $ROPTS
 
+                   elif [[ $host = lck ]]
+                   then
+                         mpiexec -n $ii  ./a.out  $ROPTS < runfile_atmos &
                    fi
                    wait
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 366)
+++ /palm/trunk/SCRIPTS/subjob	(revision 367)
@@ -103,5 +103,5 @@
      # 20/07/09 - Siggi - On lcsgi, jobs for returning the job protocol are
      #                    now run on the data nodes (feature=data)
-
+     # 25/08/09 - BjornM- adapted for lck
 
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
@@ -179,4 +179,5 @@
      (elephanta)             local_addres=130.75.105.6;   local_host=lcmuk;;
      (fimm.bccs.uib.no)      local_addres=172.20.4.2;     local_host=lcfimm;;
+     (node*)                 local_addres=165.132.26.61   local_host=lck;;
      (gallego)               local_addres=130.75.105.10;  local_host=lcmuk;;
      (gfdl5)                 local_addres=165.132.26.58;  local_host=ibmy;;
@@ -330,4 +331,5 @@
         (lcsgib)  queue=smallq; remote_addres=130.73.232.103; submcom=/opt/moab/bin/msub;;
         (lcsgih)  queue=smallq; remote_addres=130.75.4.102; submcom=/opt/moab/bin/msub;;
+        (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=lctit; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
         (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.3.0/bin/qsub;;
@@ -1199,5 +1201,5 @@
        then
           eval  $submcom  $job_on_remhost
-       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4 ]]
+       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4 || $localhost = lck ]]
        then
           eval  $submcom  $job_on_remhost
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 366)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 367)
@@ -1,4 +1,8 @@
 New:
 ---
+
+Adapted for machine lck
+(mrun, mbuild, subjob)
+
 bc_lr/bc_ns  in most subroutines replaced by LOGICAL variables bc_lr_cyc,
 bc_ns_cyc for speed optimization
@@ -49,5 +53,5 @@
 
 
-average_3d_data, check_for_restart, check_parameters, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, init_coupling, init_dvrp, init_grid, init_3d_model, header, modules, mrun, package_parin, parin, prognostic_equations, read_3d_binary, read_var_list, surface_coupler, timestep, time_integration, user_check_parameters, user_data_output_2d, user_data_output_dvrp, user_header, user_init_grid, write_3d_binary, write_var_list
+average_3d_data, check_for_restart, check_parameters, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, init_coupling, init_dvrp, init_grid, init_3d_model, header, mbuild, modules, mrun, package_parin, parin, prognostic_equations, read_3d_binary, read_var_list, subjob, surface_coupler, timestep, time_integration, user_check_parameters, user_data_output_2d, user_data_output_dvrp, user_header, user_init_grid, write_3d_binary, write_var_list
 
 New: set_particle_attributes, set_slicer_attributes_dvrp
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 366)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 367)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Added calculation of shf* and qsws*
 !
 ! Former revisions:
@@ -129,5 +129,5 @@
                 ENDDO
              ENDDO
-             
+
           CASE ( 'ql' )
              DO  i = nxl-1, nxr+1
@@ -175,5 +175,5 @@
                 ENDDO
              ENDDO
-          
+
           CASE ( 'rho' )
              DO  i = nxl-1, nxr+1
@@ -184,5 +184,5 @@
                 ENDDO
              ENDDO
-             
+
           CASE ( 's' )
              DO  i = nxl-1, nxr+1
@@ -193,5 +193,5 @@
                 ENDDO
              ENDDO
-             
+
           CASE ( 'sa' )
              DO  i = nxl-1, nxr+1
@@ -202,5 +202,5 @@
                 ENDDO
              ENDDO
-             
+
          CASE ( 'shf*' )
              DO  i = nxl-1, nxr+1
@@ -209,5 +209,5 @@
                 ENDDO
              ENDDO
-             
+
           CASE ( 't*' )
              DO  i = nxl-1, nxr+1
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 366)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 367)
@@ -13,4 +13,5 @@
 ! topography_grid_convention moved from user_check_parameters
 ! 'single_street_canyon'
+! Added shf* and qsws* to the list of available output data
 !
 ! Former revisions:
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 366)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 367)
@@ -10,5 +10,5 @@
 ! Output of user defined 2D (XY) arrays at z=nzb+1 is now possible
 ! Bugfix: to_be_resorted => s_av for time-averaged scalars
-!
+! Calculation of shf* and qsws* added.
 !
 ! Former revisions:
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 366)
+++ /palm/trunk/SOURCE/modules.f90	(revision 367)
@@ -20,4 +20,5 @@
 ! run_coupled, time_since_reference_point, u_bulk, v_bulk in control_parameters,
 ! default value of grid_matching changed to strict
+! +shf_av, qsws_av
 !
 ! Former revisions:
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 366)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 367)
@@ -5,5 +5,5 @@
 ! -----------------
 ! Output of messages replaced by message handling routine.
-!
+! +shf_av, qsws_av
 !
 ! Former revisions:
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 366)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 367)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +shf*, qsws*
 !
 ! Former revisions:
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 366)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 367)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +shf_av, qsws_av
 !
 ! Former revisions: