Index: /palm/trunk/DOC/app/appendix_a.html
===================================================================
--- /palm/trunk/DOC/app/appendix_a.html	(revision 375)
+++ /palm/trunk/DOC/app/appendix_a.html	(revision 376)
@@ -2,11 +2,7 @@
 <html><head>
 
+
     
-  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
-
-    
-  <title>PALM Appendix A</title></head>
-
-<body>
+  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1"><title>PALM Appendix A</title></head><body>
 
     
@@ -2954,5 +2950,5 @@
 
          <td>
-      <p>errors in \$inipar &or; no \$inipar-namelist found 
+      <p>errors in \$inipar &#8744; no \$inipar-namelist found 
                 (CRAY-machines only)</p>
       </td>
@@ -3534,4 +3530,10 @@
     </tr>
     <tr>
+      <td style="vertical-align: top;"><a name="PA0323"></a>PA0323<br>
+      </td>
+      <td style="vertical-align: top;">output of averaged quantity "..." requires to set a non-zero averaging interval<br>
+      </td>
+    </tr>
+<tr>
 
         <td style="vertical-align: top;"><a name="UI0001"></a>UI0001</td>
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 375)
+++ /palm/trunk/SCRIPTS/mrun	(revision 376)
@@ -3178,5 +3178,6 @@
                    then
                       export MV2_NUM_PORTS=2
-                      export MV2_CPU_MAPPING=0,1,4,5,2,3,6,7
+                      #  The default setting of MV2_CPU_MAPPING gives best results
+                      #  export MV2_CPU_MAPPING=0,1,4,5,2,3,6,7
                       mpiexec -np $ii  ./a.out  $ROPTS  < runfile_atmos
                    fi
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 375)
+++ /palm/trunk/SCRIPTS/subjob	(revision 376)
@@ -105,4 +105,6 @@
      # 25/08/09 - BjornM- adapted for lck
      # 26/08/09 - Marcus- caurus admitted; optional qos feature hiprio on lcsgi
+     # 03/09/09 - Siggi - PBS sgi feature directive only used if explicitly
+     #                    set in the config file by the user
 
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
@@ -744,4 +746,11 @@
  then
 
+    if [[ "$sgi_feature" != "" ]]
+    then
+       feature_directive="#PBS -l feature=$sgi_feature"
+    else
+       feature_directive=""
+    fi
+
     if [[ $queue = testq  ||  $queue = workq ]]
     then
@@ -765,8 +774,8 @@
 #PBS -l walltime=$timestring
 #PBS -l nodes=$nodes:ppn=${tasks_per_node}
-#PBS -l feature=$sgi_feature
 #PBS -l naccesspolicy=$node_usage
 #PBS -o $remote_dayfile
 #PBS -j oe
+$feature_directive
 $queue_directive
 $email_directive
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 375)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 376)
@@ -121,4 +121,7 @@
 Errors:
 ------
+Bugfix: output of averaged 2d/3d quantities requires that an avaraging
+interval has been set, respective error message is included (check_parameters)
+
 Bugfix: Output on unit 14 only if requested by write_binary.
 (user_last_actions)
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 375)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 376)
@@ -4,4 +4,6 @@
 ! Actual revisions:
 ! -----------------
+! Bugfix: output of averaged 2d/3d quantities requires that an avaraging
+! interval has been set, respective error message is included
 ! bc_lr_cyc and bc_ns_cyc are set,
 ! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill'
@@ -2478,4 +2480,13 @@
 
 !
+!-- Averaged 2d or 3d output requires that an averaging interval has been set
+    IF ( doav_n > 0  .AND.  averaging_interval == 0.0 )  THEN
+       WRITE( message_string, * )  'output of averaged quantity "',            &
+                                   TRIM( doav(1) ), '_av" requires to set a ', &
+                                   'non-zero & averaging interval'
+       CALL message( 'check_parameters', 'PA0323', 1, 2, 0, 6, 0 )
+    ENDIF
+
+!
 !-- Check sectional planes and store them in one shared array
     IF ( ANY( section_xy > nz + 1 ) )  THEN