Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 376)
+++ palm/trunk/SCRIPTS/mrun	(revision 377)
@@ -293,4 +293,5 @@
  transfer_problems=false
  usern=$LOGNAME
+ use_openmp=false
  working_directory=`pwd`
  TOPT=""
@@ -1136,6 +1137,14 @@
        tasks_per_node=1
     fi
+
+       # SETTINGS FOR SUBJOB-COMMAND
+    if [[ $(echo $host | cut -c1-5) = lcsgi ]]
+    then
+       (( tp1 = tasks_per_node * threads_per_task ))
+       TOPT="-T $tp1"
+    else
+       TOPT="-T $tasks_per_node"
+    fi
     OOPT="-O $threads_per_task"
-    TOPT="-T $tasks_per_node"
 
        # GESAMTZAHL DER KNOTEN BESTIMMEN
@@ -3168,5 +3177,8 @@
                           # export MPI_DSM_DISTRIBUTE=1
                           # MPI_DSM_CPULIST: pin MPI processes to cores
-                      export MPI_DSM_CPULIST="0,1,4,5,2,3,6,7:allhosts"
+                      if [[ $use_openmp = false ]]
+                      then
+                         export MPI_DSM_CPULIST="0,1,4,5,2,3,6,7:allhosts"
+                      fi
                           # MPI_IB_RAILS: use both IB rails on ICE2
                       export MPI_BUFS_PER_HOST=512
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 376)
+++ palm/trunk/SCRIPTS/subjob	(revision 377)
@@ -498,5 +498,10 @@
  if (( tasks_per_node != 0 ))
  then
-    (( nodes = numprocs / ( tasks_per_node * threads_per_task ) ))
+    if [[ $(echo $remote_host | cut -c1-5) = lcsgi ]]
+    then
+       (( nodes = numprocs / tasks_per_node ))
+    else
+       (( nodes = numprocs / ( tasks_per_node * threads_per_task ) ))
+    fi
  fi
 
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 376)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 377)
@@ -57,6 +57,10 @@
 New: set_particle_attributes, set_slicer_attributes_dvrp
 
+
 Changed:
 -------
+__lcmuk changed to __lc to avoid problems with Intel compiler on sgi-ice
+(poisfft)
+
 For extended NetCDF files, the updated title attribute includes an update of
 time_average_text where appropriate. (netcdf)
@@ -116,5 +120,5 @@
 for coupled runs on ibmy (mrun, subjob)
 
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, message, mrun, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, subjob, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
+advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, message, mrun, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, subjob, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 376)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 377)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! __lcmuk changed to __lc to avoid problems with Intel compiler on sgi-ice
 !
 ! Former revisions:
@@ -1361,5 +1361,5 @@
 
        IF ( j <= nnyh )  THEN
-#if defined( __lcmuk )
+#if defined( __lc )
           CALL maketri_1dd( j, tri )
 #else
@@ -1367,5 +1367,5 @@
 #endif
        ELSE
-#if defined( __lcmuk )
+#if defined( __lc )
           CALL maketri_1dd( ny+1-j, tri )
 #else
@@ -1373,5 +1373,5 @@
 #endif
        ENDIF
-#if defined( __lcmuk )
+#if defined( __lc )
        CALL split_1dd( tri )
 #else
@@ -1382,5 +1382,5 @@
     CONTAINS
 
-#if defined( __lcmuk )
+#if defined( __lc )
        SUBROUTINE maketri_1dd( j, tri )
 #else
@@ -1401,5 +1401,5 @@
           REAL, DIMENSION(0:nx) ::  l
 
-#if defined( __lcmuk )
+#if defined( __lc )
           REAL, DIMENSION(5,0:nx,0:nz-1) ::  tri
 #endif
@@ -1448,5 +1448,5 @@
 
 
-#if defined( __lcmuk )
+#if defined( __lc )
        SUBROUTINE split_1dd( tri )
 #else
@@ -1462,5 +1462,5 @@
           INTEGER ::  i, k
 
-#if defined( __lcmuk )
+#if defined( __lc )
           REAL, DIMENSION(5,0:nx,0:nz-1) ::  tri
 #endif